Subject: bug#62658: [Typo] in Calc-Manual: Rewrite Rules - exercise 1

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Apr 2023 13:21:15 +0300

> From: Garid Zorigoo <[email-masked]>
> Date: Tue, 4 Apr 2023 03:12:22 +0900
> 
> In Calc's Manual 2.5.2: Section: Rewrite Rules,
> https://www.gnu.org/software/emacs/manual/html_mono/calc.html#Rewrites-Tutorial
> There is the following typo.
> 
> In the Exercise-1 shows following:
> 
> ```
> 1:  [merge, secsqr]          1:  [a/x + b/x := (a + b)/x, ... ]
>     .                                 .
> 
>     ' [merge,sinsqr] RET          =
> ```
> 
> You can see, it says that when entering [merge, sinsqr] it becomes 
> [merge, secsqr].
> 
> I believe the `sinsqr` was supposed to be `secsqr`.
> (In fact there is no mention of `sinsqr` in the whole manual).

It's possible.  But I tried to run the example, and I seem to be
unable to get past the formula I'm asked to enter after the "m s"
part: I get error messages.

I'm probably missing something.  Could you perhaps show the commands
and keys to type, starting from "emacs -Q", to reproduce the example
and its results?

Thanks.